void readCT1()
{
    MParList  *plist = new MParList() ;

    MCT1ReadAscii *readct1 = new MCT1ReadAscii("CT1_99_on1.dat") ;

    if (!readct1->PreProcess(plist))
        return;

    MCerPhotEvt *phevt = (MCerPhotEvt*)plist->FindObject("MCerPhotEvt");

    Int_t icount = 0 ;
    MCamDisplay display(0) ;

    while ( readct1->Process() )
    {
        cout << "Event: " << icount++  << endl  ;

        if (icount >= 45 )
        {
            display->DrawPhotNum( phevt ) ;

            gClient->HandleInput();
            if(getchar()=='q')
                break;

            phevt->CleanLevel1() ;
            phevt->CleanLevel2() ;
            display->DrawPhotNum( phevt ) ;
            gClient->HandleInput();
            if(getchar()=='q')
                break;

            phevt->CleanLevel3() ;

            display->DrawPhotNum( phevt ) ;
            gClient->HandleInput();
            if(getchar()=='q')
                break;
        }
    } 

    readct1->PostProcess();
}
